<?php
require "header.php";
$admin = true;
require "authenticatie.php";

$sql = "SELECT * FROM Artikel";
$resultaat  = mysql_query($sql); // voer SQL code uit
if (mysql_num_rows($resultaat) > 0) {
echo "<p><div class=\"big\">Artikeloverzicht</div><br>";
echo "<table border=1>";
echo "<tr><td><b>Bewerk</b></td><td><b>Naam</b></td><td><b>Omschrijving</b></td><td><b>Prijs in &euro;</b></td><td>Afbeeldingen</td></tr>"; // bovenste regel
while ($rij = mysql_fetch_array($resultaat)) {
echo "<tr>";
echo "<td><a href=\"artikel_wissen.php?actie=wis&artikelid=".$rij["ARTIKEL_ID"]."\" onClick=\"return Confirm(1)\">[Wissen]</a><br>";
echo "<a href=\"artikel_afbeelding.php?artikelid=".$rij["ARTIKEL_ID"]."\">[Afbeelding uploaden]</a><br>";
echo "</td>";
echo "<td>".$rij["Naam"]."</td>";
echo "<td>".$rij["Omschrijving"]."</td>";
echo "<td>".number_format($rij["Prijs"], 2, ',', ' ')."</td>";
echo "<td>";
$sql = "SELECT * FROM Afbeelding WHERE ARTIKEL_ID=".$rij["ARTIKEL_ID"];
	$afbeeldingen = mysql_query($sql);
	if (mysql_num_rows($afbeeldingen) > 0) {
		while ($afb_rij = mysql_fetch_array($afbeeldingen)) {
				$bestandsnaam = $sitepad.$afb_rij["AFBEELDING_ID"].$afb_rij["Bestandstype"];
				echo "<img src=\"$bestandsnaam\">&nbsp;";
			}
	} else {
	echo "Geen afbeeldingen voor dit artikel";
	}
echo "</td></tr>";

}
echo "</table>";
}
echo "<p><a href=\"artikel_toevoegen.php\">Artikel Toevoegen</a>";
require "footer.php";

?>
